commit b82b378cbc4e3001ec1a89c2bffda9d7c9652275
Author: freddy77 <freddy77>
Date:   Tue Apr 13 13:23:32 2010 +0000

    improve datafmt->status computation (patch from David Dick)

diff --git a/ChangeLog b/ChangeLog
index 3fb8a12..c0bd53d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Tue Apr 13 15:23:12 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/ct.c:
+	- improve datafmt->status computation (patch from David Dick)
+
 Tue Apr 13 15:18:41 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/cs.c src/ctlib/unittests/common.c:
 	* src/ctlib/unittests/t0006.c:
@@ -2402,4 +2406,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3010 2010/04/13 13:19:12 freddy77 Exp $
+$Id: ChangeLog,v 1.3011 2010/04/13 13:23:32 freddy77 Exp $
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index ec2406b..203d466 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.202 2009/12/13 09:48:55 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.203 2010/04/13 13:23:32 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -2326,7 +2326,13 @@ ct_describe(CS_COMMAND * cmd, CS_INT item, CS_DATAFMT * datafmt)
 		datafmt->status |= CS_CANBENULL;
 	if (curcol->column_identity)
 		datafmt->status |= CS_IDENTITY;
-	if (strcmp(datafmt->name, "txts") == 0)
+	if (curcol->column_writeable)
+		datafmt->status |= CS_UPDATABLE;
+	if (curcol->column_key)
+		datafmt->status |= CS_KEY;
+	if (curcol->column_hidden)
+		datafmt->status |= CS_HIDDEN;
+	if (curcol->column_timestamp)
 		datafmt->status |= CS_TIMESTAMP;
 
 	datafmt->count = 1;

